#### PyKDE - Python Bindings for KDE

# class KTrader |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KTrader
Inherits | QObject

### methods

- KTrader ()

  returns a KTrader instance

- query (servicetype, constraint = QString .null, preferences = QString .null)

  returns (KTrader.OfferList)
  Argument | Type | Default
  --- | --- | ---
  servicetype | QString |
  constraint | QString | QString .null
  preferences | QString | QString .null

- query (servicetype, genericServiceType, constraint, preferences)

  returns (KTrader.OfferList)
  Argument | Type | Default
  --- | --- | ---
  servicetype | QString |
  genericServiceType | QString |
  constraint | QString |
  preferences | QString |

- self ()

  returns (KTrader)
  static